%global momorel 4
%global md5sum_src0 b210d1f6e3eab3ff496c1db9e09dbcd0
%global firefox_ver 2.0.0.6

Name: gxine
Summary: GTK frontend for the xine multimedia library
Version: 0.5.11
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.xinehq.de/
%NoSource 0 http://dl.sourceforge.net/sourceforge/xine/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: gxine-0.5.8-lirc.patch
Patch1: gxine-0.5.11-keep-wnd-state.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel, xine-lib, gettext, libXtst-devel, libXext-devel
BuildRequires: lirc-devel, libXinerama-devel, dbus-devel, dbus-glib-devel
BuildRequires: gnome-screensaver, libXaw-devel, nspr-devel, firefox-devel = %{firefox_ver}
Requires: gtk2, xine-lib, firefox = %{firefox_ver}
Prereq: gtk2-common

%description
gxine is a fully-featured free audio/video player for unix-like systems which
uses libxine for audio/video decoding and playback. For more informations on
what formats are supported, please refer to the libxine documentation.
gxine is a gtk based gui for this xine-library alternate to xine-ui.

%package mozplugin
Summary:  Mozilla plugin for gxine
Group:    Applications/Internet
Requires: %{name} = %{version}-%{release}

%description mozplugin
This plugin allows gxine to be embedded in a web browser.

%prep
%setup -q

%patch0 -p1 -b .lirc
%patch1 -p1 -b .keep-wnd-state

%build
%configure --with-dbus --with-logo-format=image \
           --disable-libjs --disable-mozjs --disable-seajs --enable-ffjs
%make

%install
rm -rf  --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

mv %{buildroot}%{_bindir}/gxine{,.bin}

cat << 'EOD' > %{buildroot}%{_bindir}/gxine
#!/bin/bash
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/lib/firefox-%{firefox_ver} %{_bindir}/gxine.bin "$@"
EOD

chmod +x %{buildroot}%{_bindir}/gxine

find %{buildroot} -name "*.la" -delete

%find_lang %{name} --all-name

mkdir -p %{buildroot}%{_libdir}/mozilla/plugins/
mv %{buildroot}%{_libdir}/gxine/gxineplugin.so %{buildroot}%{_libdir}/mozilla/plugins/

desktop-file-install --vendor= --delete-original         \
  --dir %{buildroot}%{_datadir}/applications             \
  --mode 0644                                            \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf --preserve-root %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog README* TODO
%dir %{_sysconfdir}/gxine/
%config(noreplace) %{_sysconfdir}/gxine/gtkrc
%config(noreplace) %{_sysconfdir}/gxine/keypad.xml
%config(noreplace) %{_sysconfdir}/gxine/startup
%config(noreplace) %{_sysconfdir}/gxine/toolbar*.xml
%{_bindir}/gxine*
%{_datadir}/applications/gxine.desktop
%{_datadir}/gxine/
%{_datadir}/icons/*/*/apps/gxine.png
%{_mandir}/man1/gxine*.1*
%lang(de) %{_mandir}/de/man1/gxine*.1*
%{_datadir}/pixmaps/gxine.png

%files mozplugin
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/mozilla/plugins/gxineplugin.so

%changelog
* Tue Aug  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.11-4m)
- add Requires for firefox

* Mon Aug  6 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.5.11-3m)
- rebuild against firefox-2.0.0.6

* Sat Jul 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.11-2m)
- rebuild against firefox-2.0.0.5

* Mon Jun  4 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.5.11-1m)
- import from Fedora

* Wed May 16 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.11-4
- rebuild to include ppc64 arch

* Sun Mar 25 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.11-3
- fix rpmlint warning

* Wed Mar 14 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.11-2
- add patch to keep track of window state (backport from 0.6.0 branch) 

* Thu Feb 01 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.11-1
- Bump to new (bugfix) release
- Removed stream end crash patch - fixed in upstream

* Wed Jan 24 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.10-5
- Stream end crash when modal dialog opened patch: see upstream bz #1643093

* Thu Jan 18 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.10-4
- replace R: firefox with R: %%{_libdir}/mozilla/plugins

* Wed Jan 17 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.10-3
- fix BR: gettext instead of gettext-devel
- add R: firefox to mozplugin subpackage

* Thu Jan 11 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.10-2
- fix url
- fix require in mozplugin subpackage
- install desktop file correctly

* Thu Jan 11 2007 Martin Sourada <martin.sourada@seznam.cz> - 0.5.10-1
- Update to upstream release 0.5.10
- Remove screensaver patch (it was approved by upstream)

* Thu Dec 28 2006 Martin Sourada <martin.sourada@seznam.cz> - 0.5.9-2
- Rebuild

* Sun Dec 17 2006 Martin Sourada <martin.sourada@seznam.cz> - 0.5.9-1.1
- Add BR dbus-devel

* Sat Dec 16 2006 Michel Salim <michel.salim@gmail.com> - 0.5.9-1
- Update to upstream release 0.5.9
- Drop logo.ogg, gxine now includes a JPEG logo

* Sat Dec 16 2006 Michel Salim <michel.salim@gmail.com> - 0.5.8-4
- Fix gnome-screensaver DBUS call
- Separate mozplugin subpackage (from Martin Sourada)
- Add missing BuildRequires

* Tue Nov  7 2006 Mola Pahnadayan <mola@c100c.com> - 0.5.8-3
- Add libXinerama-devel , lirc-devel >= 0.8.1 in build requires
- Fix find_lang
ambiguous

* Tue Oct 31 2006 Mola Pahnadayan <mola@c100c.com> - 0.5.8-2
- rm non-free logo
- add patch to install free-logo 
- uses %%find_lang

* Tue Oct 31 2006 Mola Pahnadayan <mola@c100c.com> - 0.5.8-1
- Updated to 0.5.8

* Tue Sep 19 2006 Mola Pahnadayan <mola@c100c.com> - 0.5.7-1
- write new spec file
- Updated to release 0.5.7
